Subject: Re: [DOCS] [BUGS] BUG #1414: DOC - pl/Perl hash tags missing

From: "Magnus Hagander" <[email-masked]>
Date: Thu, 20 Jan 2005 22:36:33 +0100

>> Going out on a line a bit here - and someone who've worked with teh
>> system probably knows for sure but... It looks like {} is used as the
>> template placeholder in the templating system on the website.
>
>Yes, that's exactly the case...

Ahh, I'm not totally PHP illiterate,...

>> It would seem to me that the fix would be as simple as to set
>> $removeUnknownVariables to false when parsing the docs 
>template, but I'm
>> far from sure at that. And I have no way to test it. And it 
>might break
>> something else. End of disclaimers.
>
>The clean solution would be to use
>$tpl->setOption('preserve_data', true);
>
>In this case there will be no problems even if a known 
>placeholder appears in 
>the docs.

... though as expected, I don't know the template system ;-)

>Sorry, cannot fix it myself right now, don't want to checkout 
>the website code 
>as there is a sh*tload of PDF docs in there.

Um. There should be no problem checking out just a subdir, no? Just do
cvs -d :pserver:[email-masked]:/usr/local/cvsroot/pgweb
co portal/system

or whatever dir it is you need (or a single file should work too). 
You don't want to use anoncvs if you're going to commit, of course. I
don't know which format CVSROOTs are used on gborg for authenticated
access.

//Magnus